Math.random = function () {
    return 0.08636862211354912

}
var HN = new RegExp("[\\u007F-\\uFFFF]", "g");

function BB(ZY) {
    return "\\u" + ("0000" + ZY.charCodeAt(0).toString(16)).substr(-4);
}

function V0(QO, Y0) {
    var y2 = Y0;
    var l4 = QO;
    return function () {
        var oT = l4;
        oT ^= oT << 23;
        oT ^= oT >> 17;
        var mu = y2;
        oT ^= mu;
        oT ^= mu >> 26;
        y2 = oT;
        l4 = mu;
        return (l4 + y2) % 4294967296;
    };
}

function encodeStr(ax, key) {
    var gs = Math["random"]() * 1073741824 | 0;

    var P4 = V0(key, gs);
    console.log(P4)
    var OI = [];
    var IL = 0;
    while (IL < 61) {
        OI.push(P4() & 255);
        IL += 1;
    }
    var Jd = OI;
    var RX = Jd;
    console.log(RX + '')
    // ‌138,214,249,70,110,185,136,16,25,80,158,117,5,82,175,204,248,121,181,232,97,105,29,197,160,71,117,192,134,46,225,23,71,64,214,122,21,83,14,187,132,145,243,169,8,89,106,146,44,245,223,179,228,173,71,39,36,232,157,82,200


    var w4 = JSON.stringify(ax, function (JY, ds) {
        return ds === undefined ? null : ds;
    });
    debugger;
    var Tp = w4.replace(HN, BB);
    var K6 = [];
    var bW = 0;
    while (bW < Tp.length) {
        K6.push(Tp.charCodeAt(bW));
        bW += 1;
    }
    var hf = K6;
    var Rc = hf;
    var SE = Rc.length;
    var sk = [];
    var Nj = SE - 1;
    while (Nj >= 0) {
        sk.push(Rc[Nj]);
        Nj -= 1;
    }
    var c3 = sk;
    var Zb = c3.length;
    var SU = RX["slice"](0, 29).length;
    var bE = [];
    var el = 113;
    var Og = 0;
    while (Og < Zb) {
        var YI = c3[Og];
        var v6 = RX["slice"](0, 29)[Og % SU];
        var bq = YI ^ v6 ^ el;
        bE.push(bq);
        el = bq;
        Og += 1;
    }
    var K7 = bE;
    var K3 = K7.length;
    var vJ = RX["slice"](29, 60).length;
    var LW = [];
    var y1 = 113;
    var P_ = 0;
    while (P_ < K3) {
        var H0 = K7[P_];
        var nz = RX["slice"](29, 60)[P_ % vJ];
        var hg = H0 ^ nz ^ y1;
        LW.push(hg);
        y1 = hg;
        P_ += 1;
    }
    var EO = LW;
    var vd = [];
    for (var G5 in EO) {
        var rE = EO[G5];
        if (EO.hasOwnProperty(G5)) {
            vd.push(rE);
        }
    }
    var sU = vd;
    var ER = sU;
    var mA = ER.length;
    var Ay = 0;
    while (Ay + 1 < mA) {
        var Zk = ER[Ay];
        ER[Ay] = ER[Ay + 1];
        ER[Ay + 1] = Zk;
        Ay += 2;
    }
    var O9 = ER;
    var qn = [];
    for (var Eu in O9) {
        var Wx = O9[Eu];
        if (O9.hasOwnProperty(Eu)) {
            var xd = String.fromCharCode(Wx);
            qn.push(xd);
        }
    }
    var IT = btoa(qn.join(""));
    return IT

}

function encodeStrObj(ax, key) {
    var gs = Math["random"]() * 1073741824 | 0;

    var P4 = V0(key, gs);
    var OI = [];
    var IL = 0;
    while (IL < 19) {
        OI.push(P4() & 255);
        IL += 1;
    }
    var Jd = OI;
    var Bb = Jd;
    var w4 = JSON.stringify(ax, function (JY, ds) {
        return ds === undefined ? null : ds;
    });
    var m3 = w4.replace(HN, BB);
    var M6 = [];
    var o5 = 0;
    while (o5 < m3.length) {
        M6.push(m3.charCodeAt(o5));
        o5 += 1;
    }
    var rD = M6;
    var Vg = rD;
    var GD = Vg.length;
    var x9 = Bb[0] % 7 + 1;
    var hR = [];
    var e3 = 0;
    while (e3 < GD) {
        hR.push((Vg[e3] << x9 | Vg[e3] >> 8 - x9) & 255);
        e3 += 1;
    }
    var d5 = hR;
    var pn = d5.length;
    var RC = [];
    var rP = 0;
    while (rP < pn) {
        RC.push(d5[(rP + Bb[1]) % pn]);
        rP += 1;
    }
    var mW = RC;
    var OK = mW.length;
    var Oo = Bb["slice"](2, 18).length;
    var No = [];
    var MT = 0;
    while (MT < OK) {
        var fZ = mW[MT];
        var wJ = Bb["slice"](2, 18)[MT % Oo] & 127;
        No.push((fZ + wJ) % 256 ^ 128);
        MT += 1;
    }
    var PZ = No;
    var UR = [];
    for (var DA in PZ) {
        var Dt = PZ[DA];
        if (PZ.hasOwnProperty(DA)) {
            UR.push(Dt);
        }
    }
    var El = UR;
    var d7 = El;
    var KL = d7.length;
    var IF = 0;
    while (IF + 1 < KL) {
        var i2 = d7[IF];
        d7[IF] = d7[IF + 1];
        d7[IF + 1] = i2;
        IF += 2;
    }
    var ZH = d7;
    var d6 = [];
    for (var ts in ZH) {
        var Gc = ZH[ts];
        if (ZH.hasOwnProperty(ts)) {
            var Dm = String.fromCharCode(Gc);
            d6.push(Dm);
        }
    }
    var B_ = btoa(d6.join(""));
    return B_
}


console.log(encodeStr(1, 2328399149))


function encode30(ax, key) {
    var gs = Math["random"]() * 1073741824 | 0;

    var nk = V0(key, gs);
    var sy = [];
    var xH = 0;
    while (xH < 30) {
        sy.push(nk() & 255);
        xH += 1;
    }
    var od = sy;
    var to = od;
    var sg = JSON.stringify(ax, function (zg, W9) {
        return W9 === undefined ? null : W9;
    });
    var YX = sg.replace(HN, BB);
    var mq = [];
    var vO = 0;
    while (vO < YX.length) {
        mq.push(YX.charCodeAt(vO));
        vO += 1;
    }
    var KU = mq;
    var Pd = KU;
    var N2 = Pd.length;
    var R_ = [];
    var bZ = N2 - 1;
    while (bZ >= 0) {
        R_.push(Pd[bZ]);
        bZ -= 1;
    }
    var Io = R_;
    var jp = Io.length;
    var jf = to["slice"](0, 29).length;
    var ac = [];
    var J8 = 113;
    var kr = 0;
    while (kr < jp) {
        var V_ = Io[kr];
        var MQ = to["slice"](0, 29)[kr % jf];
        var XY = V_ ^ MQ ^ J8;
        ac.push(XY);
        J8 = XY;
        kr += 1;
    }
    var WE = ac;
    var mg = [];
    for (var iA in WE) {
        var kT = WE[iA];
        if (WE.hasOwnProperty(iA)) {
            var gj = String.fromCharCode(kT);
            mg.push(gj);
        }
    }
    var OB = btoa(mg.join(""));
    return OB;
}


console.log(encode30('1709003020687', 4293051610))
console.log(encode30('vq9nCA', 4293051610))


function encodeStr53(ax, key) {
    var gs = Math["random"]() * 1073741824 | 0;

    var tt = V0(key, gs);
    var ES = [];
    var K_ = 0;
    while (K_ < 53) {
        ES.push(tt() & 255);
        K_ += 1;
    }
    var eb = ES;
    var wc = eb;
    var XK = JSON.stringify(ax, function (F6, KV) {
        return KV === undefined ? null : KV;
    });
    var nF = XK.replace(HN, BB);
    var f9 = [];
    var Q1 = 0;
    while (Q1 < nF.length) {
        f9.push(nF.charCodeAt(Q1));
        Q1 += 1;
    }
    var WM = f9;
    var RH = WM;
    var uE = RH.length;
    var Nd = wc["slice"](0, 28).length;
    var tV = [];
    var wP = 0;
    while (wP < uE) {
        tV.push(RH[wP]);
        tV.push(wc["slice"](0, 28)[wP % Nd]);
        wP += 1;
    }
    var Ks = tV;
    var JK = Ks.length;
    var QQ = wc["slice"](28, 52).length;
    var Rv = [];
    var BD = 113;
    var jn = 0;
    while (jn < JK) {
        var SW = Ks[jn];
        var Sn = wc["slice"](28, 52)[jn % QQ];
        var a6 = SW ^ Sn ^ BD;
        Rv.push(a6);
        BD = a6;
        jn += 1;
    }
    var UU = Rv;
    var db = [];
    for (var yM in UU) {
        var rc = UU[yM];
        if (UU.hasOwnProperty(yM)) {
            var ll = String.fromCharCode(rc);
            db.push(ll);
        }
    }
    var pw = btoa(db.join(""));
    return pw;

}

console.log(encodeStr53('1709003020687', 1624825960, 53))

function encodeStr18(ax, key) {
    var gs = Math["random"]() * 1073741824 | 0;

    var mj = V0(key, gs);
    var te = [];
    var L3 = 0;
    while (L3 < 18) {
        te.push(mj() & 255);
        L3 += 1;
    }
    var Yw = te;
    var Yi = Yw;
    var MX = JSON.stringify(ax, function (nc, TF) {
        return TF === undefined ? null : TF;
    });
    var PX = MX.replace(HN, BB);
    var yi = [];
    var i1 = 0;
    while (i1 < PX.length) {
        yi.push(PX.charCodeAt(i1));
        i1 += 1;
    }
    var QB = yi;
    var FI = QB;
    var h5 = FI.length;
    var X2 = Yi["slice"](0, 16).length;
    var P3 = [];
    var qG = 113;
    var aP = 0;
    while (aP < h5) {
        var ls = FI[aP];
        var kA = Yi["slice"](0, 16)[aP % X2];
        var RJ = ls ^ kA ^ qG;
        P3.push(RJ);
        qG = RJ;
        aP += 1;
    }
    var Am = P3;
    var W6 = Am.length;
    var hx = [];
    var wf = W6 - 1;
    while (wf >= 0) {
        hx.push(Am[wf]);
        wf -= 1;
    }
    var CG = hx;
    var sR = CG.length;
    var g_ = Yi[16] % 7 + 1;
    var Mp = [];
    var wU = 0;
    while (wU < sR) {
        Mp.push((CG[wU] << g_ | CG[wU] >> 8 - g_) & 255);
        wU += 1;
    }
    var Bt = Mp;
    var xJ = [];
    for (var yK in Bt) {
        var o9 = Bt[yK];
        if (Bt.hasOwnProperty(yK)) {
            var zZ = String.fromCharCode(o9);
            xJ.push(zZ);
        }
    }
    var SV = btoa(xJ.join(""));
    return SV;

}

console.log(encodeStr18("1012347.1575", 2781904740))


function encodeStr29(ax, key) {
    var gs = Math["random"]() * 1073741824 | 0;

    var Dw = V0(key, gs);
    var pl = [];
    var Z8 = 0;
    while (Z8 < 29) {
        pl.push(Dw() & 255);
        Z8 += 1;
    }
    var IC = pl;
    var dV = IC;
    var SC = JSON.stringify(ax, function (XG, bb) {
        return bb === undefined ? null : bb;
    });
    var KZ = SC.replace(HN, BB);
    var T8 = [];
    var yu = 0;
    while (yu < KZ.length) {
        T8.push(KZ.charCodeAt(yu));
        yu += 1;
    }
    var WD = T8;
    var KS = WD;
    var oP = KS.length;
    var VD = dV["slice"](0, 27).length;
    var OL = [];
    var WY = 0;
    while (WY < oP) {
        var op = KS[WY];
        var Sx = dV["slice"](0, 27)[WY % VD] & 127;
        OL.push((op + Sx) % 256 ^ 128);
        WY += 1;
    }
    var gI = OL;
    var nT = gI.length;
    var kj = [];
    var gY = 0;
    while (gY < nT) {
        kj.push(gI[(gY + dV[27]) % nT]);
        gY += 1;
    }
    var n0 = kj;
    var sl = n0.length;
    var Yx = [];
    var fX = sl - 1;
    while (fX >= 0) {
        Yx.push(n0[fX]);
        fX -= 1;
    }
    var sC = Yx;
    var ix = [];
    for (var Qd in sC) {
        var Hx = sC[Qd];
        if (sC.hasOwnProperty(Qd)) {
            var nm = String.fromCharCode(Hx);
            ix.push(nm);
        }
    }
    var t0 = btoa(ix.join(""));
    return t0;

}

function encodeStr30(ax, key) {
    var gs = Math["random"]() * 1073741824 | 0;

    var qe = V0(key, gs);
    var L1 = [];
    var tE = 0;
    while (tE < 30) {
        L1.push(qe() & 255);
        tE += 1;
    }
    var JD = L1;
    var Aq = JD;
    var zv = JSON.stringify(ax, function (RP, dv) {
        return dv === undefined ? null : dv;
    });
    var uV = zv.replace(HN, BB);
    var ok = [];
    var Nt = 0;
    while (Nt < uV.length) {
        ok.push(uV.charCodeAt(Nt));
        Nt += 1;
    }
    var Us = ok;
    var fc = Us;
    var GG = fc.length;
    var v8 = Aq[0] % 7 + 1;
    var N4 = [];
    var AO = 0;
    while (AO < GG) {
        N4.push((fc[AO] << v8 | fc[AO] >> 8 - v8) & 255);
        AO += 1;
    }
    var NA = N4;
    var mD = NA.length;
    var L0 = Aq[1] % 7 + 1;
    var wk = [];
    var vw = 0;
    while (vw < mD) {
        wk.push((NA[vw] << L0 | NA[vw] >> 8 - L0) & 255);
        vw += 1;
    }
    var EH = wk;
    var aH = EH.length;
    var Gw = Aq["slice"](2, 29).length;
    var sz = [];
    var pP = 113;
    var wD = 0;
    while (wD < aH) {
        var Y2 = EH[wD];
        var ew = Aq["slice"](2, 29)[wD % Gw];
        var Rx = Y2 ^ ew ^ pP;
        sz.push(Rx);
        pP = Rx;
        wD += 1;
    }
    var bn = sz;
    var Mn = [];
    for (var oD in bn) {
        var gF = bn[oD];
        if (bn.hasOwnProperty(oD)) {
            var za = String.fromCharCode(gF);
            Mn.push(za);
        }
    }
    var tS = btoa(Mn.join(""));
    return tS;

}

function encodeStr57(ax, key) {
    var gs = Math["random"]() * 1073741824 | 0;

    var Ls = V0(key, gs);
    var EX = [];
    var EP = 0;
    while (EP < 57) {
        EX.push(Ls() & 255);
        EP += 1;
    }
    console.log(EX + '')
    var mv = EX;
    var LK = mv;
    var Qv = JSON.stringify(ax, function (xG, yF) {
        return yF === undefined ? null : yF;
    });
    var Sz = Qv.replace(HN, BB);
    var AD = [];
    var XP = 0;
    while (XP < Sz.length) {
        AD.push(Sz.charCodeAt(XP));
        XP += 1;
    }
    var NK = AD;
    var OM = NK;
    var LQ = OM.length;
    var XO = [];
    var jK = 0;
    while (jK < LQ) {
        XO.push(OM[(jK + LK[0]) % LQ]);
        jK += 1;
    }
    var Ud = XO;
    var Dg = Ud.length;
    var LM = LK["slice"](1, 31).length;
    var YY = [];
    var cU = 0;
    while (cU < Dg) {
        var lO = Ud[cU];
        var BU = LK["slice"](1, 31)[cU % LM] & 127;
        YY.push((lO + BU) % 256 ^ 128);
        cU += 1;
    }
    var A6 = YY;
    var hm = A6.length;
    var Py = LK["slice"](31, 55).length;
    var xk = [];
    var Wp = 0;
    while (Wp < hm) {
        xk.push(A6[Wp]);
        xk.push(LK["slice"](31, 55)[Wp % Py]);
        Wp += 1;
    }
    var J7 = xk;
    var qg = J7.length;
    var KB = LK[55] % 7 + 1;
    var zE = [];
    var Jf = 0;
    while (Jf < qg) {
        zE.push((J7[Jf] << KB | J7[Jf] >> 8 - KB) & 255);
        Jf += 1;
    }
    var D6 = zE;
    var eC = [];
    for (var M5 in D6) {
        var Co = D6[M5];
        if (D6.hasOwnProperty(M5)) {
            var fC = String.fromCharCode(Co);
            eC.push(fC);
        }
    }
    var x4 = btoa(eC.join(""));
    return x4;

}

function encodeStr2(ax, key) {
    var gs = Math["random"]() * 1073741824 | 0;

    var q7 = V0(key, gs);
    var xV = [];
    var QF = 0;
    while (QF < 2) {
        xV.push(q7() & 255);
        QF += 1;
    }
    var VI = xV;
    var CB = VI;


    var tY = JSON.stringify(ax, function (fd, FO) {
        return FO === undefined ? null : FO;
    });
    var nW = tY.replace(HN, BB);
    var cV = [];
    var qJ = 0;
    while (qJ < nW.length) {
        cV.push(nW.charCodeAt(qJ));
        qJ += 1;
    }
    var zy = cV;
    var Lr = zy;
    var fk = Lr.length;
    var RD = [];
    var M4 = fk - 1;
    while (M4 >= 0) {
        RD.push(Lr[M4]);
        M4 -= 1;
    }
    var or = RD;
    var Dz = or.length;
    var C5 = CB[0] % 7 + 1;
    var Rz = [];
    var Bw = 0;
    while (Bw < Dz) {
        Rz.push((or[Bw] << C5 | or[Bw] >> 8 - C5) & 255);
        Bw += 1;
    }
    var An = Rz;
    var IY = [];
    for (var l5 in An) {
        var bu = An[l5];
        if (An.hasOwnProperty(l5)) {
            var WJ = String.fromCharCode(bu);
            IY.push(WJ);
        }
    }
    var x4 = btoa(IY.join(""));
    return x4;

}

function encodeStr49(ax, key) {
    var gs = Math["random"]() * 1073741824 | 0;

    var iz = V0(key, gs);
    var Tr = [];
    var wQ = 0;
    while (wQ < 49) {
        Tr.push(iz() & 255);
        wQ += 1;
    }
    var qx = Tr;
    var Es = qx;

    var L8 = JSON.stringify(ax, function (wR, ez) {
        return ez === undefined ? null : ez;
    });
    var UZ = L8.replace(HN, BB);
    var Sd = [];
    var hv = 0;
    while (hv < UZ.length) {
        Sd.push(UZ.charCodeAt(hv));
        hv += 1;
    }
    var vK = Sd;
    var hq = vK;
    var Sy = hq.length;
    var w6 = Es["slice"](0, 20).length;
    var Kq = [];
    var r3 = 0;
    while (r3 < Sy) {
        var y4 = hq[r3];
        var Qh = Es["slice"](0, 20)[r3 % w6] & 127;
        Kq.push((y4 + Qh) % 256 ^ 128);
        r3 += 1;
    }
    var p6 = Kq;
    var rW = p6.length;
    var oa = Es["slice"](20, 48).length;
    var oB = [];
    var KP = 113;
    var AP = 0;
    while (AP < rW) {
        var kF = p6[AP];
        var Mb = Es["slice"](20, 48)[AP % oa];
        var rx = kF ^ Mb ^ KP;
        oB.push(rx);
        KP = rx;
        AP += 1;
    }
    var hu = oB;
    var Nw = [];
    for (var OV in hu) {
        var aK = hu[OV];
        if (hu.hasOwnProperty(OV)) {
            var w1 = String.fromCharCode(aK);
            Nw.push(w1);
        }
    }
    var Ex = btoa(Nw.join(""));
    return Ex;

}

function encodeStr19(ax, key) {
    var gs = Math["random"]() * 1073741824 | 0;

    var uG = V0(4143207636, gs);
    var wT = [];
    var DZ = 0;
    while (DZ < 19) {
        wT.push(uG() & 255);
        DZ += 1;
    }
    var er = wT;
    var tx = er;
    var Zh = JSON.stringify(ax, function (Fl, Q_) {
        return Q_ === undefined ? null : Q_;
    });
    var Xf = Zh.replace(HN, BB);
    var TH = [];
    var mx = 0;
    while (mx < Xf.length) {
        TH.push(Xf.charCodeAt(mx));
        mx += 1;
    }
    var vX = TH;
    var KA = vX;
    var X1 = KA.length;
    var sY = tx["slice"](0, 16).length;
    var iQ = [];
    var dl = 0;
    while (dl < X1) {
        var DU = KA[dl];
        var dY = tx["slice"](0, 16)[dl % sY] & 127;
        iQ.push((DU + dY) % 256 ^ 128);
        dl += 1;
    }
    var f8 = iQ;
    var Ko = f8.length;
    var ED = tx[16] % 7 + 1;
    var jB = [];
    var PB = 0;
    while (PB < Ko) {
        jB.push((f8[PB] << ED | f8[PB] >> 8 - ED) & 255);
        PB += 1;
    }
    var pt = jB;
    var vl = pt.length;
    var ca = [];
    var i3 = 0;
    while (i3 < vl) {
        ca.push(pt[(i3 + tx[17]) % vl]);
        i3 += 1;
    }
    var qZ = ca;
    var jb = [];
    for (var Zm in qZ) {
        var On = qZ[Zm];
        if (qZ.hasOwnProperty(Zm)) {
            var n1 = String.fromCharCode(On);
            jb.push(n1);
        }
    }
    var zK = btoa(jb.join(""));
    return zK;

}

function encodeStr68(ax, key) {
    var gs = Math["random"]() * 1073741824 | 0;

    var aS = V0(1079950851, gs);
    var LT = [];
    var IV = 0;
    while (IV < 68) {
        LT.push(aS() & 255);
        IV += 1;
    }
    var M3 = LT;
    var vg = M3;
    var sj = JSON.stringify(ax, function (oA, Rg) {
        return Rg === undefined ? null : Rg;
    });
    var qP = sj.replace(HN, BB);
    var jl = [];
    var Jk = 0;
    while (Jk < qP.length) {
        jl.push(qP.charCodeAt(Jk));
        Jk += 1;
    }
    var EV = jl;
    var Gt = EV;
    var wL = Gt.length;
    var Rt = vg["slice"](0, 16).length;
    var rh = [];
    var NC = 113;
    var pu = 0;
    while (pu < wL) {
        var zt = Gt[pu];
        var eO = vg["slice"](0, 16)[pu % Rt];
        var NI = zt ^ eO ^ NC;
        rh.push(NI);
        NC = NI;
        pu += 1;
    }
    var yx = rh;
    var hH = yx.length;
    var ob = vg["slice"](16, 38).length;
    var oo = [];
    var kY = 0;
    while (kY < hH) {
        var Vt = yx[kY];
        var Qu = vg["slice"](16, 38)[kY % ob] & 127;
        oo.push((Vt + Qu) % 256 ^ 128);
        kY += 1;
    }
    var lB = oo;
    var Ek = lB.length;
    var Qt = vg["slice"](38, 67).length;
    var H9 = [];
    var u3 = 0;
    while (u3 < Ek) {
        H9.push(lB[u3]);
        H9.push(vg["slice"](38, 67)[u3 % Qt]);
        u3 += 1;
    }
    var R8 = H9;
    var va = R8.length;
    var fu = [];
    var Ez = va - 1;
    while (Ez >= 0) {
        fu.push(R8[Ez]);
        Ez -= 1;
    }
    var t1 = fu;
    var gS = [];
    for (var AF in t1) {
        var OH = t1[AF];
        if (t1.hasOwnProperty(AF)) {
            var Qr = String.fromCharCode(OH);
            gS.push(Qr);
        }
    }
    var D7 = btoa(gS.join(""));
    return D7;

}


function encodeStr45(ax, key) {
    var gs = Math["random"]() * 1073741824 | 0;

    var C3 = V0(430797680, gs);
    var Vb = [];
    var GA = 0;
    while (GA < 45) {
        Vb.push(C3() & 255);
        GA += 1;
    }
    var Jr = Vb;
    var uQ = Jr;
    var ph = JSON.stringify(ax, function (cb, EA) {
        return EA === undefined ? null : EA;
    });
    var GQ = ph.replace(HN, BB);
    var g3 = [];
    var Bv = 0;
    while (Bv < GQ.length) {
        g3.push(GQ.charCodeAt(Bv));
        Bv += 1;
    }
    var De = g3;
    var o0 = De;
    var hV = o0.length;
    var N9 = uQ["slice"](0, 25).length;
    var jT = [];
    var HG = 0;
    while (HG < hV) {
        jT.push(o0[HG]);
        jT.push(uQ["slice"](0, 25)[HG % N9]);
        HG += 1;
    }
    var rZ = jT;
    var Nr = rZ.length;
    var l9 = uQ["slice"](25, 43).length;
    var DK = [];
    var At = 0;
    while (At < Nr) {
        var C_ = rZ[At];
        var TR = uQ["slice"](25, 43)[At % l9] & 127;
        DK.push((C_ + TR) % 256 ^ 128);
        At += 1;
    }
    var x7 = DK;
    var Ge = x7.length;
    var BR = uQ[43] % 7 + 1;
    var vZ = [];
    var v7 = 0;
    while (v7 < Ge) {
        vZ.push((x7[v7] << BR | x7[v7] >> 8 - BR) & 255);
        v7 += 1;
    }
    var Hc = vZ;
    var hZ = [];
    for (var nE in Hc) {
        var en = Hc[nE];
        if (Hc.hasOwnProperty(nE)) {
            var cC = String.fromCharCode(en);
            hZ.push(cC);
        }
    }
    var Jm = btoa(hZ.join(""));
    return Jm
}

function encodeStr47(ax, key) {
    var gs = Math["random"]() * 1073741824 | 0;

    var Cn = V0(781766443, gs);
    var Md = [];
    var VO = 0;
    while (VO < 47) {
        Md.push(Cn() & 255);
        VO += 1;
    }
    var eM = Md;
    var dk = eM;
    var fg = JSON.stringify(ax, function (fq, h4) {
        return h4 === undefined ? null : h4;
    });
    var wn = fg.replace(HN, BB);
    var q2 = [];
    var f5 = 0;
    while (f5 < wn.length) {
        q2.push(wn.charCodeAt(f5));
        f5 += 1;
    }
    var BV = q2;
    var CM = BV;
    var jM = CM.length;
    var sS = dk["slice"](0, 26).length;
    var r6 = [];
    var rs = 0;
    while (rs < jM) {
        r6.push(CM[rs]);
        r6.push(dk["slice"](0, 26)[rs % sS]);
        rs += 1;
    }
    var Iu = r6;
    var W3 = Iu.length;
    var Cq = dk["slice"](26, 46).length;
    var B0 = [];
    var aO = 113;
    var lW = 0;
    while (lW < W3) {
        var t3 = Iu[lW];
        var To = dk["slice"](26, 46)[lW % Cq];
        var yr = t3 ^ To ^ aO;
        B0.push(yr);
        aO = yr;
        lW += 1;
    }
    var aT = B0;
    var VU = [];
    for (var Mt in aT) {
        var Bm = aT[Mt];
        if (aT.hasOwnProperty(Mt)) {
            var HC = String.fromCharCode(Bm);
            VU.push(HC);
        }
    }
    var Ib = btoa(VU.join(""));
    return Ib;
}

function encodeStr31(ax, key) {
    var gs = Math["random"]() * 1073741824 | 0;

    var Sg = V0(764395007, gs);
    var SG = [];
    var Mi = 0;
    while (Mi < 31) {
        SG.push(Sg() & 255);
        Mi += 1;
    }
    var mV = SG;
    var da = mV;

    var Ng = JSON.stringify(ax, function (K8, n4) {
        return n4 === undefined ? null : n4;
    });
    var A5 = Ng.replace(HN, BB);
    var Gy = [];
    var xR = 0;
    while (xR < A5.length) {
        Gy.push(A5.charCodeAt(xR));
        xR += 1;
    }
    var WL = Gy;
    var VP = WL;
    var Cl = VP.length;
    var yf = [];
    var RB = 0;
    while (RB < Cl) {
        yf.push(VP[(RB + da[0]) % Cl]);
        RB += 1;
    }
    var eI = yf;
    var J4 = [];
    for (var Fg in eI) {
        var S_ = eI[Fg];
        if (eI.hasOwnProperty(Fg)) {
            J4.push(S_);
        }
    }
    var w5 = J4;
    var yH = w5;
    var nB = yH.length;
    var ZL = 0;
    while (ZL + 1 < nB) {
        var VX = yH[ZL];
        yH[ZL] = yH[ZL + 1];
        yH[ZL + 1] = VX;
        ZL += 2;
    }
    var RY = yH;
    var qR = RY.length;
    var RO = da["slice"](1, 30).length;
    var ZA = [];
    var r_ = 113;
    var ju = 0;
    while (ju < qR) {
        var gl = RY[ju];
        var IH = da["slice"](1, 30)[ju % RO];
        var ZC = gl ^ IH ^ r_;
        ZA.push(ZC);
        r_ = ZC;
        ju += 1;
    }
    var Hg = ZA;
    var Nh = [];
    for (var D9 in Hg) {
        var KF = Hg[D9];
        if (Hg.hasOwnProperty(D9)) {
            var K2 = String.fromCharCode(KF);
            Nh.push(K2);
        }
    }
    var QM = btoa(Nh.join(""));
    return QM;
}

// console.log(encodeStr29('0' ,3391494669))
// console.log(encodeStr30('1709003020687' ,1887139459))

console.log(encodeStr45(
    {
        "wbNi": "LFwEGH8QoFwL6itjgATv+yhQtByba9u7F5czHHwDR2OcrweXQ3fHQyP7",
        "vb5vCEr30gP6sw==": "ANGLE_instanced_arrays;EXT_blend_minmax;EXT_color_buffer_half_float;EXT_disjoint_timer_query;EXT_float_blend;EXT_frag_depth;EXT_shader_texture_lod;EXT_texture_compression_rgtc;EXT_texture_filter_anisotropic;EXT_sRGB;KHR_parallel_shader_compile;OES_element_index_uint;OES_fbo_render_mipmap;OES_standard_derivatives;OES_texture_float;OES_texture_float_linear;OES_texture_half_float;OES_texture_half_float_linear;OES_vertex_array_object;WEBGL_color_buffer_float;WEBGL_compressed_texture_s3tc;WEBGL_compressed_texture_s3tc_srgb;WEBGL_debug_renderer_info;WEBGL_debug_shaders;WEBGL_depth_texture;WEBGL_draw_buffers;WEBGL_lose_context;WEBGL_multi_draw",
        "ubJkBE/pzfP4qbAcvsXwn326r8gRCRXR": [1, 1],
        "ubJkBE/pzfP8r6sl0636pIO3r8gRCRXR": [1, 64],
        "ubJrCz3jy/0Asw==": 8,
        "ubRvDD3w0vX/qbAe": true,
        "urJwCDvm0gj/": 8,
        "vKtrF0Tjy/0Asw==": 24,
        "v7hgCErjy/0Asw==": 8,
        "xadzAj3y0gf7tLQmz8c=": 16,
        "xadzAj/z1vb1rqcbvsLss33HwrsPBBvNDsPs8LhSPI8=": 32,
        "xadzAj/5y/nrraMnvsLss33HwrsPDhfmDA==": 16384,
        "xadzAkL2yvv5pbArvsP1pG/BwsMPERPPG83/7g==": 1024,
        "xadzAk7p1/jxsqEZ1LTtoHuxw78qAA==": 16384,
        "xadzAlDp4QgBsqcWyLvoom6xxcQZDyE=": 16,
        "xadzAlDp4QgBsqcW0rcBoA==": 16384,
        "xadzAlLl2w31rqkW1bPqr3jEww==": 30,
        "xadzAlLp2wjxuKEY08L5pGvF": 16,
        "xadzAlLp2wjxuKErxMb7sHu3r78d/BXRBtP75L5c": 16,
        "xadzAlLp2wjxuKEszbftqnu/r8wV/iLbGdE=": 1024,
        "xadzAlLtzgv8r7QrvrLwqHw=": [16384, 16384],
        "yqtfAj7t3Qc=": 8,
        "yqtpB0H2zgY=": "WebKit WebGL",
        "y65cB0Xy0PP4obAe1K/uoGjItcgjBB3a": "WebGL GLSL ES 1.0 (OpenGL ES GLSL ES 1.0 Chromium)",
        "y7pgET/t1fPuqbYq": 0,
        "zqtpB0v2": "WebKit",
        "zqttFkXz1w==": "WebGL 1.0 (OpenGL ES 2.0 Chromium)",
        "zqttF0H8yAf0oaYc0a3vpHC6r7wcCg/gBs7/4K1SO4XqzA==": 23,
        "zqttF0H8yAf0oaYc0a3vpHC6r7wcCg/gBs7/4K1SO4XqzHLSsaHq/QXpxcQ=": 127,
        "zqttF0H8yAf0oaYc0a3vpHC6r7wcCg/gBs7/4K1SO4XqzHLSsaHq/QXpvc4=": 127,
        "zqttF0H8yAf0oaYc0a30oG27xcMPARrbCNLs67xOK4Xux4LO": 23,
        "zqttF0H8yAf0oaYc0a30oG27xcMPARrbCNLs67xOK4Xux4LOr6XkBg3hu8PI0Q==": 127,
        "zqttF0H8yAf0oaYc0a30oG27xcMPARrbCNLs67xOK4Xux4LOr6XkBg3hu8PA2w==": 127,
        "zqttF0H8yAf0oaYc0a3zqoCxtsIf/CLLF9Dy3rNcMYvp": 23,
        "zqttF0H8yAf0oaYc0a3zqoCxtsIf/CLLF9Dy3rNcMYvpvYXBvpro9xPlyg==": 127,
        "zqttF0H8yAf0oaYc0a3zqoCxtsIf/CLLF9Dy3rNcMYvpvYXBvpro9xPd1A==": 127,
        "vrhcCknp1wjrs6oYw7P5mnG7t74PARrbCNLs67xOK4Xux4LO": 23,
        "vrhcCknp1wjrs6oYw7P5mnG7t74PARrbCNLs67xOK4Xux4LOr6XkBg3hu8PI0Q==": 127,
        "vrhcCknp1wjrs6oYw7P5mnG7t74PARrbCNLs67xOK4Xux4LOr6XkBg3hu8PA2w==": 127,
        "vrhcCknp1wjrs6oYw7P5mna3tL8lCA3SE83u76lZOoHex4bJv6E=": 23,
        "vrhcCknp1wjrs6oYw7P5mna3tL8lCA3SE83u76lZOoHex4bJv6HiCgfqw7u+0PEh": 127,
        "vrhcCknp1wjrs6oYw7P5mna3tL8lCA3SE83u76lZOoHex4bJv6HiCgfqw7u+0Okr": 127,
        "vrhcCknp1wjrs6oYw7P5mnXBx7UWBx3NG7397a9MMY/kzYE=": 23,
        "vrhcCknp1wjrs6oYw7P5mnXBx7UWBx3NG7397a9MMY/kzYG/wpTx/wvbyb/N": 127,
        "vrhcCknp1wjrs6oYw7P5mnXBx7UWBx3NG7397a9MMY/kzYG/wpTx/wvbybfX": 127,
        "zqttF0H8yAf0oaYc0a3vpHC6r78eDw3cGcPw5L1SN4o=": 0,
        "zqttF0H8yAf0oaYc0a3vpHC6r78eDw3cGcPw5L1SN4ra0HTOt5jiBQ/q": 31,
        "zqttF0H8yAf0oaYc0a3vpHC6r78eDw3cGcPw5L1SN4ra0HTOt5jiBQf0": 30,
        "zqttF0H8yAf0oaYc0a30oG27xcMPBBzgBs7/4K1SO4XqzA==": 0,
        "zqttF0H8yAf0oaYc0a30oG27xcMPBBzgBs7/4K1SO4XqzHLSsaHq/QXpxcQ=": 31,
        "zqttF0H8yAf0oaYc0a30oG27xcMPBBzgBs7/4K1SO4XqzHLSsaHq/QXpvc4=": 30,
        "zqttF0H8yAf0oaYc0a3zqoCxucQk+h7eDMH27rNYNg==": 0,
        "zqttF0H8yAf0oaYc0a3zqoCxucQk+h7eDMH27rNYNnvtv4HHtZLwARQ=": 31,
        "zqttF0H8yAf0oaYc0a3zqoCxucQk+h7eDMH27rNYNnvtv4HHtZLw+R4=": 30,
        "vrhcCknp1wjrs6oYw7P5mnG7t74PBBzgBs7/4K1SO4XqzA==": 0,
        "vrhcCknp1wjrs6oYw7P5mnG7t74PBBzgBs7/4K1SO4XqzHLSsaHq/QXpxcQ=": 31,
        "vrhcCknp1wjrs6oYw7P5mnG7t74PBBzgBs7/4K1SO4XqzHLSsaHq/QXpvc4=": 30,
        "vrhcCknp1wjrs6oYw7P5mna3tL8lCA3VFdLs67xOK4Xux4LO": 0,
        "vrhcCknp1wjrs6oYw7P5mna3tL8lCA3VFdLs67xOK4Xux4LOr6XkBg3hu8PI0Q==": 31,
        "vrhcCknp1wjrs6oYw7P5mna3tL8lCA3VFdLs67xOK4Xux4LOr6XkBg3hu8PA2w==": 30,
        "vrhcCknp1wjrs6oYw7P5mnXBx7UZCSLLF9Dy3rNcMYvp": 0,
        "vrhcCknp1wjrs6oYw7P5mnXBx7UZCSLLF9Dy3rNcMYvpvYXBvpro9xPlyg==": 31,
        "vrhcCknp1wjrs6oYw7P5mnXBx7UZCSLLF9Dy3rNcMYvpvYXBvpro9xPd1A==": 30,
        "zbRoBE/vzvjrtqclw735": "Google Inc. (Apple)",
        "zbRoBE/vzvjrsqclw7P5oHs=": "ANGLE (Apple, ANGLE Metal Renderer: Apple M1 Max, Unspecified Version)"
    }

    ,

    430797680))

console.log(encodeStr19("5e53c685222ef9b0afa4803dce2dcec77487c2bc"))